package com.cm.common.exception.base;

/**
 * @ClassName: SystemException
 * @Description: 系统异常
 * @Author: WangGeng
 * @Date: 2019/3/4 6:04 PM
 * @Version: 1.0
 **/
public class SystemException extends RuntimeException {

    private boolean withMsg = false;

    public SystemException() {
    }

    public SystemException(String message) {
        super(message);
    }

    public SystemException(String message, boolean withMsg) {
        super(message);
        this.withMsg = withMsg;
    }

    public SystemException(String message, Throwable cause) {
        super(message, cause);
    }

    public SystemException(Throwable cause) {
        super(cause);
    }

    public boolean isWithMsg() {
        return withMsg;
    }

    public void setWithMsg(boolean withMsg) {
        this.withMsg = withMsg;
    }
}
